## List Namespaces `client.KV.Namespaces.List(ctx, params) (*V4PagePaginationArray[Namespace], error)` **get** `/accounts/{account_id}/storage/kv/namespaces` Returns the namespaces owned by an account. ### Parameters - `params NamespaceListParams` - `AccountID param.Field[string]` Path param: Identifier. - `Direction param.Field[NamespaceListParamsDirection]` Query param: Direction to order namespaces. - `const NamespaceListParamsDirectionAsc NamespaceListParamsDirection = "asc"` - `const NamespaceListParamsDirectionDesc NamespaceListParamsDirection = "desc"` - `Order param.Field[NamespaceListParamsOrder]` Query param: Field to order results by. - `const NamespaceListParamsOrderID NamespaceListParamsOrder = "id"` - `const NamespaceListParamsOrderTitle NamespaceListParamsOrder = "title"` - `Page param.Field[float64]` Query param: Page number of paginated results. - `PerPage param.Field[float64]` Query param: Maximum number of results per page. ### Returns - `type Namespace struct{…}` - `ID string` Namespace identifier tag. - `Title string` A human-readable string name for a Namespace. - `SupportsURLEncoding bool` True if keys written on the URL will be URL-decoded before storing. For example, if set to "true", a key written on the URL as "%3F" will be stored as "?". ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/kv" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.KV.Namespaces.List(context.TODO(), kv.NamespaceListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "0f2ac74b498b48028cb68387c421e279", "title": "My Own Namespace", "supports_url_encoding": true } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```